---
include:
  - project: shore/ci-templates
    file: templates/pre-commit.yml
  - project: shore/ci-templates
    file: templates/docker.yml
  - project: shore/ci-templates
    file: templates/notify.yml

compose-build:
  extends: .compose-build
  tags: [ns4.shore.co.il]
  timeout: 5h
  variables:
    COMPOSE_DOCKER_CLI_BUILD: ""

push:
  extends: .compose-push

run:
  extends: .compose-run
  tags: [ns4.shore.co.il]
